Package org.eclipse.viatra.transformation.runtime.emf.modelmanipulation

## Class SimpleModelManipulations

- java.lang.Object
- - org.eclipse.viatra.transformation.runtime.emf.modelmanipulation.AbstractEcoreManipulations<org.eclipse.emf.ecore.resource.Resource,​org.eclipse.emf.ecore.EObject>
  - - org.eclipse.viatra.transformation.runtime.emf.modelmanipulation.AbstractModelManipulations
    - - org.eclipse.viatra.transformation.runtime.emf.modelmanipulation.SimpleModelManipulations

- All Implemented Interfaces:
    `IEcoreManipulations<org.eclipse.emf.ecore.resource.Resource,​org.eclipse.emf.ecore.EObject>`, `IEcoreReadOperations<org.eclipse.emf.ecore.resource.Resource,​org.eclipse.emf.ecore.EObject>`, `IModelManipulations`, `IModelReadOperations`

      public class SimpleModelManipulations
      extends AbstractModelManipulations

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.viatra.transformation.runtime.emf.modelmanipulation.AbstractModelManipulations

      `engine`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SimpleModelManipulations​(ViatraQueryEngine engine)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `doAdd​(org.eclipse.emf.ecore.EObject container, org.eclipse.emf.ecore.EStructuralFeature reference, java.lang.Object what, int index)` |
    `protected void` | `doAdd​(org.eclipse.emf.ecore.EObject container, org.eclipse.emf.ecore.EStructuralFeature reference, java.util.Collection<? extends java.lang.Object> elements)` |
    `protected void` | `doChangeIndex​(org.eclipse.emf.ecore.EObject container, org.eclipse.emf.ecore.EStructuralFeature feature, int oldIndex, int newIndex)` |
    `protected int` | `doCount​(org.eclipse.emf.ecore.EObject container, org.eclipse.emf.ecore.EStructuralFeature feature)` |
    `protected org.eclipse.emf.ecore.EObject` | `doCreate​(org.eclipse.emf.ecore.EObject container, org.eclipse.emf.ecore.EReference reference, org.eclipse.emf.ecore.EClass clazz)` |
    `protected org.eclipse.emf.ecore.EObject` | `doCreate​(org.eclipse.emf.ecore.resource.Resource res, org.eclipse.emf.ecore.EClass clazz)` |
    `protected boolean` | `doIsSetTo​(org.eclipse.emf.ecore.EObject container, org.eclipse.emf.ecore.EStructuralFeature feature, java.lang.Object value)` |
    `protected void` | `doMoveTo​(org.eclipse.emf.ecore.EObject what, org.eclipse.emf.ecore.EObject newContainer, org.eclipse.emf.ecore.EReference reference)` |
    `protected void` | `doMoveTo​(org.eclipse.emf.ecore.EObject what, org.eclipse.emf.ecore.EObject newContainer, org.eclipse.emf.ecore.EReference reference, int index)` |
    `protected void` | `doMoveTo​(org.eclipse.emf.ecore.EObject what, org.eclipse.emf.ecore.resource.Resource newContainer)` |
    `protected void` | `doMoveTo​(org.eclipse.emf.ecore.EObject what, org.eclipse.emf.ecore.resource.Resource newContainer, int index)` |
    `protected void` | `doRemove​(org.eclipse.emf.ecore.EObject object)` | Removes an element from the containment hierarchy
    `protected void` | `doRemove​(org.eclipse.emf.ecore.EObject container, org.eclipse.emf.ecore.EStructuralFeature reference)` |
    `protected void` | `doRemove​(org.eclipse.emf.ecore.EObject container, org.eclipse.emf.ecore.EStructuralFeature feature, int index)` |
    `protected void` | `doRemove​(org.eclipse.emf.ecore.EObject container, org.eclipse.emf.ecore.EStructuralFeature feature, java.lang.Object element)` | Remove a non-containment reference value
    `protected void` | `doSet​(org.eclipse.emf.ecore.EObject container, org.eclipse.emf.ecore.EStructuralFeature feature, java.lang.Object value)` |
    `protected java.util.stream.Stream<? extends java.lang.Object>` | `doStream​(org.eclipse.emf.ecore.EObject container, org.eclipse.emf.ecore.EStructuralFeature feature)` |

    - ### Methods inherited from class org.eclipse.viatra.transformation.runtime.emf.modelmanipulation.AbstractModelManipulations

      `addTo, addTo, addTo, changeIndex, count, create, createChild, doMoveTo, eClass, getBaseEMFIndex, getSlotValuesInternal, isSetTo, moveTo, moveTo, moveTo, moveTo, moveTo, remove, remove, remove, remove, set, stream`

    - ### Methods inherited from class org.eclipse.viatra.transformation.runtime.emf.modelmanipulation.AbstractEcoreManipulations

      `isEObjectClass`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.viatra.transformation.runtime.emf.modelmanipulation.IEcoreManipulations

      `add, add, addAll`

    - ### Methods inherited from interface org.eclipse.viatra.transformation.runtime.emf.modelmanipulation.IModelManipulations

      `add, addAllTo, moveAllTo`

- - ### Constructor Detail

    - #### SimpleModelManipulations

          public SimpleModelManipulations​(ViatraQueryEngine engine)

  - ### Method Detail

    - #### doCount

          protected int doCount​(org.eclipse.emf.ecore.EObject container,
                                org.eclipse.emf.ecore.EStructuralFeature feature)

      Specified by:
        `doCount` in class `AbstractModelManipulations`

    - #### doStream

          protected java.util.stream.Stream<? extends java.lang.Object> doStream​(org.eclipse.emf.ecore.EObject container,
                                                                                 org.eclipse.emf.ecore.EStructuralFeature feature)

      Specified by:
        `doStream` in class `AbstractModelManipulations`

    - #### doIsSetTo

          protected boolean doIsSetTo​(org.eclipse.emf.ecore.EObject container,
                                      org.eclipse.emf.ecore.EStructuralFeature feature,
                                      java.lang.Object value)

      Specified by:
        `doIsSetTo` in class `AbstractModelManipulations`

    - #### doCreate

          protected org.eclipse.emf.ecore.EObject doCreate​(org.eclipse.emf.ecore.resource.Resource res,
                                                           org.eclipse.emf.ecore.EClass clazz)
                                                    throws ModelManipulationException

      Specified by:
        `doCreate` in class `AbstractModelManipulations`
      Throws:
        `ModelManipulationException`

    - #### doCreate

          protected org.eclipse.emf.ecore.EObject doCreate​(org.eclipse.emf.ecore.EObject container,
                                                           org.eclipse.emf.ecore.EReference reference,
                                                           org.eclipse.emf.ecore.EClass clazz)

      Specified by:
        `doCreate` in class `AbstractModelManipulations`

    - #### doAdd

          protected void doAdd​(org.eclipse.emf.ecore.EObject container,
                               org.eclipse.emf.ecore.EStructuralFeature reference,
                               java.util.Collection<? extends java.lang.Object> elements)
                        throws ModelManipulationException

      Specified by:
        `doAdd` in class `AbstractModelManipulations`
      Throws:
        `ModelManipulationException`

    - #### doAdd

          protected void doAdd​(org.eclipse.emf.ecore.EObject container,
                               org.eclipse.emf.ecore.EStructuralFeature reference,
                               java.lang.Object what,
                               int index)
                        throws ModelManipulationException

      Specified by:
        `doAdd` in class `AbstractModelManipulations`
      Throws:
        `ModelManipulationException`

    - #### doSet

          protected void doSet​(org.eclipse.emf.ecore.EObject container,
                               org.eclipse.emf.ecore.EStructuralFeature feature,
                               java.lang.Object value)

      Specified by:
        `doSet` in class `AbstractModelManipulations`

    - #### doRemove

          protected void doRemove​(org.eclipse.emf.ecore.EObject object)
                           throws ModelManipulationException

      Description copied from class: `AbstractModelManipulations`
      Removes an element from the containment hierarchy
      Specified by:
        `doRemove` in class `AbstractModelManipulations`
      Throws:
        `ModelManipulationException`

    - #### doRemove

          protected void doRemove​(org.eclipse.emf.ecore.EObject container,
                                  org.eclipse.emf.ecore.EStructuralFeature reference)
                           throws ModelManipulationException

      Specified by:
        `doRemove` in class `AbstractModelManipulations`
      Throws:
        `ModelManipulationException`

    - #### doRemove

          protected void doRemove​(org.eclipse.emf.ecore.EObject container,
                                  org.eclipse.emf.ecore.EStructuralFeature feature,
                                  java.lang.Object element)
                           throws ModelManipulationException

      Description copied from class: `AbstractModelManipulations`
      Remove a non-containment reference value
      Specified by:
        `doRemove` in class `AbstractModelManipulations`
      Throws:
        `ModelManipulationException`

    - #### doRemove

          protected void doRemove​(org.eclipse.emf.ecore.EObject container,
                                  org.eclipse.emf.ecore.EStructuralFeature feature,
                                  int index)
                           throws ModelManipulationException

      Specified by:
        `doRemove` in class `AbstractModelManipulations`
      Throws:
        `ModelManipulationException`

    - #### doMoveTo

          protected void doMoveTo​(org.eclipse.emf.ecore.EObject what,
                                  org.eclipse.emf.ecore.EObject newContainer,
                                  org.eclipse.emf.ecore.EReference reference)
                           throws ModelManipulationException

      Specified by:
        `doMoveTo` in class `AbstractModelManipulations`
      Throws:
        `ModelManipulationException`

    - #### doMoveTo

          protected void doMoveTo​(org.eclipse.emf.ecore.EObject what,
                                  org.eclipse.emf.ecore.EObject newContainer,
                                  org.eclipse.emf.ecore.EReference reference,
                                  int index)
                           throws ModelManipulationException

      Specified by:
        `doMoveTo` in class `AbstractModelManipulations`
      Throws:
        `ModelManipulationException`

    - #### doMoveTo

          protected void doMoveTo​(org.eclipse.emf.ecore.EObject what,
                                  org.eclipse.emf.ecore.resource.Resource newContainer)
                           throws ModelManipulationException

      Specified by:
        `doMoveTo` in class `AbstractModelManipulations`
      Throws:
        `ModelManipulationException`

    - #### doMoveTo

          protected void doMoveTo​(org.eclipse.emf.ecore.EObject what,
                                  org.eclipse.emf.ecore.resource.Resource newContainer,
                                  int index)
                           throws ModelManipulationException

      Specified by:
        `doMoveTo` in class `AbstractModelManipulations`
      Throws:
        `ModelManipulationException`

    - #### doChangeIndex

          protected void doChangeIndex​(org.eclipse.emf.ecore.EObject container,
                                       org.eclipse.emf.ecore.EStructuralFeature feature,
                                       int oldIndex,
                                       int newIndex)

      Specified by:
        `doChangeIndex` in class `AbstractModelManipulations`